"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/project/build/temp.linux-x86_64-cpython-39/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c310>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c3a0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c430>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c4c0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c550>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c5e0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c670>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c700>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c790>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c820>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c8b0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c940>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63c9d0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63ca60>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63caf0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63cb80>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63cc10>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63cca0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63cd30>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63cdc0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63ce50>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63cee0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b63cf70>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643040>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643160>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6430d0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6431f0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643280>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643310>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6433a0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643430>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6434c0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643550>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6435e0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643670>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643700>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643790>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643820>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6438b0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643940>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6439d0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643a60>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643af0>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643b80>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643c10>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643ca0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643d30>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643dc0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643e50>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643ee0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b643f70>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645040>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6450d0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645160>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6451f0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645280>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645310>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6453a0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645430>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6454c0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645550>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6455e0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645670>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645700>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645790>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645940>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645820>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6459d0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645a60>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645af0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645b80>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645c10>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645d30>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645ca0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645dc0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645e50>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645ee0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b649040>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b645f70>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6490d0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b649160>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6491f0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b649280>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b649310>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x7fa60b6493a0>)]
name: str = 'fr_HOCCN'
